Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354113 - Review Request: python-pytest-catchlog - py.test plugin to catch log messages (fork of pytest-capturelog)
Summary: Review Request: python-pytest-catchlog - py.test plugin to catch log messages...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-09 17:21 UTC by Denis Fateyev
Modified: 2016-10-06 20:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:37:27 UTC
orion: fedora-review+


Attachments (Terms of Use)

Description Denis Fateyev 2016-07-09 17:21:18 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora24/python-pytest-catchlog.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora24/python-pytest-catchlog-1.2.2-1.fc25.src.rpm
Description: py.test plugin to catch log messages.
This is a fork of pytest-capturelog.
Fedora Account System Username: dfateyev

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14834763 (Rawhide)
http://koji.fedoraproject.org/koji/taskinfo?taskID=14834812 (Fedora 24)
http://koji.fedoraproject.org/koji/taskinfo?taskID=14834716 (EPEL 7)

Comment 1 Orion Poplawski 2016-07-25 22:44:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

[!]: %check is present and all tests pass.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /export/home/orion/redhat/python-pytest-
     catchlog-1.2.2/1354113-python-pytest-catchlog/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pytest-catchlog-1.2.2-1.el7.noarch.rpm
          python34-pytest-catchlog-1.2.2-1.el7.noarch.rpm
          python-pytest-catchlog-1.2.2-1.el7.src.rpm
python2-pytest-catchlog.noarch: W: summary-not-capitalized C py.test plugin to catch log messages (fork of pytest-capturelog)
python34-pytest-catchlog.noarch: W: summary-not-capitalized C py.test plugin to catch log messages (fork of pytest-capturelog)
python-pytest-catchlog.src: W: summary-not-capitalized C py.test plugin to catch log messages (fork of pytest-capturelog)
3 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python34-pytest-catchlog.noarch: W: summary-not-capitalized C py.test plugin to catch log messages (fork of pytest-capturelog)
python2-pytest-catchlog.noarch: W: summary-not-capitalized C py.test plugin to catch log messages (fork of pytest-capturelog)
2 packages and 0 specfiles checked; 2 errors, 2 warnings.



Requires
--------
python34-pytest-catchlog (rpmlib, GLIBC filtered):
    python(abi)

python2-pytest-catchlog (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python34-pytest-catchlog:
    python34-pytest-catchlog

python2-pytest-catchlog:
    python-pytest-catchlog
    python2-pytest-catchlog



Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/pytest-catchlog/pytest-catchlog-1.2.2.zip :
  CHECKSUM(SHA256) this package     : 4be15dc5ac1750f83960897f591453040dff044b5966fe24a91c2f7d04ecfcf0
  CHECKSUM(SHA256) upstream package : 4be15dc5ac1750f83960897f591453040dff044b5966fe24a91c2f7d04ecfcf0


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1354113
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Orion Poplawski 2016-09-12 16:48:43 UTC
Sorry for the delay, approved.

Please remove the %python3_pkgversion conditional definition - it's not needed anymore.

Comment 4 Denis Fateyev 2016-09-17 16:15:53 UTC
Indeed, Fedora 23 also got '%python3_pkgversion' support, I'll remove it during import. Could you approve the request?

Comment 5 Orion Poplawski 2016-09-18 16:36:13 UTC
Ah, looks like I set the wrong flag.  Done.

Comment 6 Gwyn Ciesla 2016-09-19 12:48:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pytest-catchlog

Comment 7 Fedora Update System 2016-09-19 14:46:32 UTC
python-pytest-catchlog-1.2.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3e3bff7b1

Comment 8 Fedora Update System 2016-09-19 14:46:39 UTC
python-pytest-catchlog-1.2.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1602d69d6

Comment 9 Fedora Update System 2016-09-19 14:46:44 UTC
python-pytest-catchlog-1.2.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-42f09d7ea7

Comment 10 Fedora Update System 2016-09-19 14:46:49 UTC
python-pytest-catchlog-1.2.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5ae36859d6

Comment 11 Fedora Update System 2016-09-20 19:57:53 UTC
python-pytest-catchlog-1.2.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-42f09d7ea7

Comment 12 Fedora Update System 2016-09-22 01:18:02 UTC
python-pytest-catchlog-1.2.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5ae36859d6

Comment 13 Fedora Update System 2016-09-22 01:25:15 UTC
python-pytest-catchlog-1.2.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3e3bff7b1

Comment 14 Fedora Update System 2016-09-22 01:26:25 UTC
python-pytest-catchlog-1.2.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1602d69d6

Comment 15 Fedora Update System 2016-09-27 00:37:27 UTC
python-pytest-catchlog-1.2.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-09-29 22:51:25 UTC
python-pytest-catchlog-1.2.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-09-30 15:52:45 UTC
python-pytest-catchlog-1.2.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-10-06 20:21:15 UTC
python-pytest-catchlog-1.2.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.